Page MenuHomePhabricator

Set up LVS and VirtualHost for RunSingleJob.php
Closed, ResolvedPublic

Description

The current JobQueue implementation uses RunJobs.php to command media wiki to run the jobs. In the new implementation ChangeProp will send a serialized job one-by-one to the job runners for execution using the RunSingleJob.php script ( https://gerrit.wikimedia.org/r/#/c/370004/ )

Although current VirtualHost setup for RunJobs.php will also expose the RunSingleJob.php, we need to change that - set up a separate VirtualHost for the RunSingleJob.php and expose it through LVS to ChangeProp so that we could slowly pool more job runners as we slowly transition the use cases to the new architecture.

Event Timeline

Pchelolo created this task.Aug 30 2017, 6:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 6:26 PM
Pchelolo reassigned this task from Pchelolo to Joe.Aug 30 2017, 6:27 PM
Nuria moved this task from Incoming to Radar on the Analytics board.Aug 31 2017, 4:03 PM
Joe moved this task from Backlog to Doing on the User-Joe board.Sep 4 2017, 8:11 AM

Change 375747 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/dns@master] Add entries for the jobrunner LVS service

https://gerrit.wikimedia.org/r/375747

set up a separate VirtualHost for the RunSingleJob.php

This is not strictly needed, as LVS will run on top of that, so what really matters in this task is which jobrunners are configured to be contacted by LVS.

Restricted Application added a project: Analytics. · View Herald TranscriptSep 4 2017, 9:51 AM

Change 375800 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] jobrunner: add nginx service

https://gerrit.wikimedia.org/r/375800

Change 375801 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] jobrunner: add LVS service configuration

https://gerrit.wikimedia.org/r/375801

Change 375747 merged by Giuseppe Lavagetto:
[operations/dns@master] Add entries for the jobrunner LVS service

https://gerrit.wikimedia.org/r/375747

Change 375800 merged by Giuseppe Lavagetto:
[operations/puppet@production] jobrunner: add nginx service

https://gerrit.wikimedia.org/r/375800

Change 375801 merged by Giuseppe Lavagetto:
[operations/puppet@production] jobrunner: add LVS service configuration

https://gerrit.wikimedia.org/r/375801

Change 376021 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::mediawiki::jobrunner: Add local-only port

https://gerrit.wikimedia.org/r/376021

Change 376022 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::mediawiki::jobrunner_tls: relay requests to the local-only port

https://gerrit.wikimedia.org/r/376022

Change 376021 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::mediawiki::jobrunner: Add local-only port

https://gerrit.wikimedia.org/r/376021

Change 376022 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::mediawiki::jobrunner_tls: relay requests to the local-only port

https://gerrit.wikimedia.org/r/376022

Change 376516 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] jobrunner: add discovery data

https://gerrit.wikimedia.org/r/376516

Change 376518 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/dns@master] Add discovery entry for jobrunner, active/passive

https://gerrit.wikimedia.org/r/376518

Change 376516 merged by Giuseppe Lavagetto:
[operations/puppet@production] jobrunner: add discovery data

https://gerrit.wikimedia.org/r/376516

Change 376518 merged by Giuseppe Lavagetto:
[operations/dns@master] Add discovery entry for jobrunner, active/passive

https://gerrit.wikimedia.org/r/376518

Joe added a comment.Sep 7 2017, 2:03 PM

Everything is set up and you can reach the correct LVS endpoint via the discovery DNS system at jobrunner.discovery.wmnet, via HTTPS.

Joe closed this task as Resolved.Sep 7 2017, 2:03 PM